<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>ansible-lint — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-BAAB9852.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>ansible-lint</span>
</h1>

<p>ANSIBLE-LINT(1)                                                    System administration commands                                                    ANSIBLE-LINT(1)</p><p>NAME</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">ansible</span><span class="o">-</span><span class="n">lint</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">lint</span><span class="w"> </span><span class="n">tool</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="nc">Ansible</span><span class="w"> </span><span class="n">playbooks</span></code></pre><p>SYNOPSIS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">ansible</span><span class="o">-</span><span class="n">lint</span><span class="w"> </span><span class="p" data-group-id="8923971164-1">[</span><span class="o">-</span><span class="nc">M</span><span class="w"> </span><span class="n">module_path</span><span class="p" data-group-id="8923971164-1">]</span><span class="w"> </span><span class="p" data-group-id="8923971164-2">[</span><span class="o">-</span><span class="n">l</span><span class="p" data-group-id="8923971164-2">]</span><span class="w"> </span><span class="p" data-group-id="8923971164-3">[</span><span class="o">-</span><span class="n">s</span><span class="p" data-group-id="8923971164-3">]</span><span class="w"> </span><span class="p" data-group-id="8923971164-4">[</span><span class="n">module</span><span class="n">...</span><span class="p" data-group-id="8923971164-4">]</span></code></pre><p>DESCRIPTION</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">ansible</span><span class="o">-</span><span class="n">lint</span><span class="w"> </span><span class="n">checks</span><span class="w"> </span><span class="nc">Ansible</span><span class="w"> </span><span class="n">playbooks</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">practices</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">behaviour</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">could</span><span class="w"> </span><span class="n">potentially</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">improved</span><span class="o">.</span></code></pre><p>OPTIONS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="o">--</span><span class="ss">version</span><span class="p">:</span><span class="w">

   </span><span class="n">show</span><span class="w"> </span><span class="n">program</span><span class="err">’</span><span class="n">s</span><span class="w"> </span><span class="n">version</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">exit</span><span class="w">

   </span><span class="o">-</span><span class="nc">M</span><span class="w"> </span><span class="nc">DIRECTORY</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">module</span><span class="o">-</span><span class="n">path</span><span class="o">=</span><span class="nc">DIRECTORY</span><span class="w">
       </span><span class="n">the</span><span class="w"> </span><span class="nc">DIRECTORY</span><span class="w"> </span><span class="n">search</span><span class="w"> </span><span class="n">path</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">load</span><span class="w"> </span><span class="n">modules</span><span class="w"> </span><span class="n">from</span><span class="o">.</span><span class="w"> </span><span class="nc">The</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">share</span><span class="o">/</span><span class="n">ansible</span><span class="o">.</span><span class="w"> </span><span class="nc">This</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">also</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">set</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">ANSIBLE_LIBRARY</span><span class="w"> </span><span class="n">environment</span><span class="w"> </span><span class="n">variable</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">s</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">snippet</span><span class="o">=</span><span class="w">
       </span><span class="nc">Produce</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">snippet</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">copied</span><span class="w"> </span><span class="n">into</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">playbook</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">modification</span><span class="p">,</span><span class="w"> </span><span class="n">like</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">kind</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">task</span><span class="w"> </span><span class="n">template</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">l</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">list</span><span class="o">=</span><span class="w">
       </span><span class="nc">Produce</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">terse</span><span class="w"> </span><span class="n">listing</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">modules</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">short</span><span class="w"> </span><span class="n">description</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">each</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">h</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">help</span><span class="w">
       </span><span class="n">show</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">help</span><span class="w"> </span><span class="n">message</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">exit</span><span class="w">

   </span><span class="o">-</span><span class="nc">L</span><span class="w">
       </span><span class="n">list</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">rules</span><span class="w">

   </span><span class="o">-</span><span class="n">q</span><span class="w">
       </span><span class="n">quieter</span><span class="p">,</span><span class="w"> </span><span class="n">although</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">silent</span><span class="w"> </span><span class="n">output</span><span class="w">

   </span><span class="o">-</span><span class="n">p</span><span class="w">
       </span><span class="n">parseable</span><span class="w"> </span><span class="n">output</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">pep8</span><span class="w">

   </span><span class="o">-</span><span class="n">r</span><span class="w"> </span><span class="nc">RULESDIR</span><span class="w">
       </span><span class="n">specify</span><span class="w"> </span><span class="n">one</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">more</span><span class="w"> </span><span class="n">rules</span><span class="w"> </span><span class="n">directories</span><span class="w"> </span><span class="n">using</span><span class="w"> </span><span class="n">one</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">more</span><span class="w"> </span><span class="o">-</span><span class="n">r</span><span class="w"> </span><span class="n">arguments</span><span class="o">.</span><span class="w"> </span><span class="nc">Any</span><span class="w"> </span><span class="o">-</span><span class="n">r</span><span class="w"> </span><span class="n">flags</span><span class="w"> </span><span class="n">override</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="n">rules</span><span class="w"> </span><span class="ow">in</span><span class="w">
       </span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">lib</span><span class="o">/</span><span class="n">python3</span><span class="o">/</span><span class="n">dist</span><span class="o">-</span><span class="n">packages</span><span class="o">/</span><span class="n">ansiblelint</span><span class="o">/</span><span class="n">rules</span><span class="p">,</span><span class="w"> </span><span class="k">unless</span><span class="w"> </span><span class="o">-</span><span class="nc">R</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">also</span><span class="w"> </span><span class="n">used</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="nc">R</span><span class="w">
       </span><span class="nc">Use</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="n">rules</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">lib</span><span class="o">/</span><span class="n">python3</span><span class="o">/</span><span class="n">dist</span><span class="o">-</span><span class="n">packages</span><span class="o">/</span><span class="n">ansiblelint</span><span class="o">/</span><span class="n">rules</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">addition</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">extra</span><span class="w"> </span><span class="n">rules</span><span class="w"> </span><span class="n">directories</span><span class="w"> </span><span class="n">specified</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="o">-</span><span class="n">r</span><span class="o">.</span><span class="w"> </span><span class="nc">There</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">no</span><span class="w"> </span><span class="n">need</span><span class="w"> </span><span class="n">to</span><span class="w">
       </span><span class="n">specify</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="k">if</span><span class="w"> </span><span class="n">no</span><span class="w"> </span><span class="o">-</span><span class="n">r</span><span class="w"> </span><span class="n">flags</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">used</span><span class="w">

   </span><span class="o">-</span><span class="n">t</span><span class="w"> </span><span class="nc">TAGS</span><span class="w">
       </span><span class="n">only</span><span class="w"> </span><span class="n">check</span><span class="w"> </span><span class="n">rules</span><span class="w"> </span><span class="n">whose</span><span class="w"> </span><span class="n">id</span><span class="o">/</span><span class="n">tags</span><span class="w"> </span><span class="n">match</span><span class="w"> </span><span class="n">these</span><span class="w"> </span><span class="n">values</span><span class="w">

   </span><span class="o">-</span><span class="nc">T</span><span class="w">
       </span><span class="n">list</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">tags</span><span class="w">

   </span><span class="o">-</span><span class="n">v</span><span class="w">
       </span><span class="nc">Increase</span><span class="w"> </span><span class="n">verbosity</span><span class="w"> </span><span class="n">level</span><span class="w">

   </span><span class="o">-</span><span class="n">x</span><span class="w"> </span><span class="nc">SKIP_LIST</span><span class="w">
       </span><span class="n">only</span><span class="w"> </span><span class="n">check</span><span class="w"> </span><span class="n">rules</span><span class="w"> </span><span class="n">whose</span><span class="w"> </span><span class="n">id</span><span class="o">/</span><span class="n">tags</span><span class="w"> </span><span class="k" data-group-id="5549485916-1">do</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">match</span><span class="w"> </span><span class="n">these</span><span class="w"> </span><span class="n">values</span><span class="w">

   </span><span class="o">--</span><span class="n">nocolor</span><span class="w">
       </span><span class="n">disable</span><span class="w"> </span><span class="n">colored</span><span class="w"> </span><span class="n">output</span><span class="w">

   </span><span class="o">--</span><span class="n">force</span><span class="o">-</span><span class="n">color</span><span class="w">
       </span><span class="nc">Try</span><span class="w"> </span><span class="n">force</span><span class="w"> </span><span class="n">colored</span><span class="w"> </span><span class="n">output</span><span class="w"> </span><span class="p" data-group-id="5549485916-2">(</span><span class="n">relying</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">ansible</span><span class="err">’</span><span class="n">s</span><span class="w"> </span><span class="n">code</span><span class="p" data-group-id="5549485916-2">)</span><span class="w">

   </span><span class="o">--</span><span class="n">exclude</span><span class="o">=</span><span class="nc">EXCLUDE_PATHS</span><span class="w">
       </span><span class="n">path</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">directories</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">files</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">skip</span><span class="o">.</span><span class="w"> </span><span class="nc">This</span><span class="w"> </span><span class="n">option</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">repeatable</span><span class="o">.</span></code></pre><p>AUTHOR</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">ansible</span><span class="o">-</span><span class="n">lint</span><span class="w"> </span><span class="n">was</span><span class="w"> </span><span class="n">originally</span><span class="w"> </span><span class="n">written</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="nc">Will</span><span class="w"> </span><span class="nc">Thames</span></code></pre><p>COPYRIGHT</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Copyright</span><span class="w"> </span><span class="err">©</span><span class="w"> </span><span class="mi">2013</span><span class="o">-</span><span class="mi">2016</span><span class="w"> </span><span class="nc">Will</span><span class="w"> </span><span class="nc">Thames</span><span class="w"> </span><span class="o">&lt;</span><span class="n">will</span><span class="na">@thames</span><span class="o">.</span><span class="n">id</span><span class="o">.</span><span class="n">au</span><span class="o">&gt;</span><span class="w">

   </span><span class="n">ansible</span><span class="o">-</span><span class="n">lint</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">released</span><span class="w"> </span><span class="n">under</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">terms</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">MIT</span><span class="w"> </span><span class="nc">License</span><span class="o">.</span></code></pre><p>SEE ALSO</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">ansible</span><span class="o">-</span><span class="n">playbook</span><span class="p" data-group-id="7739215773-1">(</span><span class="mi">1</span><span class="p" data-group-id="7739215773-1">)</span><span class="p">,</span><span class="w"> </span><span class="n">ansible</span><span class="p" data-group-id="7739215773-2">(</span><span class="mi">1</span><span class="p" data-group-id="7739215773-2">)</span></code></pre><p>ansible-lint                                                                 08/12/2017                                                              ANSIBLE-LINT(1)</p>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="ansible-inventory.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
ansible-inventory
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="ansible-playbook.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
ansible-playbook
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
